"""
@author: luojunhui
"""
import json
from applications import DeNetMysql

D = DeNetMysql()

with open("avg.json", encoding="utf-8") as f:
    data = json.loads(f.read())

for key in data:
    print(key)
    print(data[key])
    sql = f"""
    UPDATE long_article_accounts_outside
    SET read_avg = %s 
    where account_id = %s;
    """
    D.update(
        sql=sql,
        params=(data[key], key)
    )